## org.gnu.gtk.event
Class NotebookEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.NotebookEvent

All Implemented Interfaces:
  java.io.Serializable

public class NotebookEvent
extends GtkEvent

An event represeting action by a `Notebook` widget.

See Also:
  `NotebookListener`, `Notebook`, Serialized Form

Nested Class Summary
`static class` `NotebookEvent.Type`

Constructor Summary
`NotebookEvent(java.lang.Object source, NotebookEvent.Type type)` Creates a new Notebook Event.
`NotebookEvent(java.lang.Object source, NotebookEvent.Type type, int pageNumber)` Creates a new Notebook Event.

Method Summary
`int` `getPageNumber()` Return the page number on which this event occurred.
`boolean` `isOfType(NotebookEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotebookEvent

    public NotebookEvent(java.lang.Object source,
                         NotebookEvent.Type type)

  Creates a new Notebook Event. This is used internally by java-gnome. Users only have to deal with listeners.

### NotebookEvent

    public NotebookEvent(java.lang.Object source,
                         NotebookEvent.Type type,
                         int pageNumber)

  Creates a new Notebook Event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### getPageNumber

    public int getPageNumber()

  Return the page number on which this event occurred.

### isOfType

    public boolean isOfType(NotebookEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.